{ Обработка текста: Перевод в заглавные буквы (верхний регистр)            }
{--------------------------------------------------------------------------}
{ На входе - текст, на выходе - текст из больших букв                      }
{--------------------------------------------------------------------------}
var s:string;

function BigAlpha(ps:string):string;
var i:integer;
begin
   for i:=1 to length(ps) do begin
     case ps[i] of
        'a'..'z','а'..'п': dec(ps[i],32);
        'р'..'я'         : dec(ps[i],80);
     end;
   end;
   BigAlpha:=ps;
end;

begin
     writeln('Введите любой текст'); readln(s);
     writeln('Этот же текст большими буквами:');
     writeln(BigAlpha(s));
end.
